diff --git a/src/ui/MainWindow.ui b/src/ui/MainWindow.ui
index c39bada..747cdce 100644
--- a/src/ui/MainWindow.ui
+++ b/src/ui/MainWindow.ui
@@ -18,14 +18,14 @@
   </property>
   <widget class="QWidget" name="centralwidget">
    <layout class="QGridLayout" name="gridLayout">
-    <item row="0" column="2" alignment="Qt::AlignRight">
-     <widget class="QLabel" name="usernamLable">
+    <item row="1" column="4">
+     <widget class="QPushButton" name="loginButton">
       <property name="text">
-       <string>Username</string>
+       <string>Login</string>
       </property>
      </widget>
     </item>
-    <item row="2" column="0" colspan="3">
+    <item row="3" column="0" colspan="5">
      <widget class="QFrame" name="frame">
       <property name="enabled">
        <bool>true</bool>
@@ -43,8 +43,33 @@
        <enum>QFrame::Raised</enum>
       </property>
       <layout class="QGridLayout" name="gridLayout_2">
-       <item row="12" column="6">
-        <widget class="QLabel" name="Submit_user">
+       <item row="28" column="5">
+        <widget class="QComboBox" name="karmaBox">
+         <property name="currentText">
+          <string>0</string>
+         </property>
+         <property name="currentIndex">
+          <number>1</number>
+         </property>
+         <item>
+          <property name="text">
+           <string>1</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>0</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>-1</string>
+          </property>
+         </item>
+        </widget>
+       </item>
+       <item row="12" column="4">
+        <widget class="QLabel" name="Karma">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -67,8 +92,15 @@
          </property>
         </widget>
        </item>
-       <item row="12" column="4">
-        <widget class="QLabel" name="Karma">
+       <item row="1" column="3">
+        <widget class="QLabel" name="UpdateType">
+         <property name="text">
+          <string>__</string>
+         </property>
+        </widget>
+       </item>
+       <item row="10" column="6">
+        <widget class="QLabel" name="Request">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -84,50 +116,66 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>__</string>
+          <string/>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="26" column="5">
-        <widget class="QComboBox" name="karmaBox">
-         <property name="currentText">
-          <string>0</string>
-         </property>
-         <property name="currentIndex">
-          <number>1</number>
-         </property>
-         <item>
+       <item row="7" column="3" colspan="6">
+        <widget class="QTextBrowser" name="Release_notes"/>
+       </item>
+       <item row="13" column="3" colspan="6">
+        <widget class="QTreeWidget" name="treeWidget_comment">
+         <column>
           <property name="text">
-           <string>1</string>
+           <string>#</string>
           </property>
-         </item>
-         <item>
+         </column>
+         <column>
           <property name="text">
-           <string>0</string>
+           <string>karma</string>
           </property>
-         </item>
-         <item>
+         </column>
+         <column>
           <property name="text">
-           <string>-1</string>
+           <string>critpath</string>
           </property>
-         </item>
+         </column>
+         <column>
+          <property name="text">
+           <string>user</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>comment</string>
+          </property>
+         </column>
         </widget>
        </item>
-       <item row="6" column="3">
-        <widget class="QLabel" name="Package_breif">
+       <item row="9" column="5">
+        <widget class="QLabel" name="Status_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <pointsize>12</pointsize>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
+           <kerning>true</kerning>
           </font>
          </property>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
+         </property>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
+         </property>
          <property name="text">
-          <string>breif</string>
+          <string>Status</string>
+         </property>
+         <property name="alignment">
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
@@ -138,23 +186,49 @@
          </property>
         </widget>
        </item>
-       <item row="18" column="3" colspan="6">
-        <widget class="QTextEdit" name="commentEdit">
+       <item row="5" column="3" colspan="4">
+        <widget class="QLabel" name="Package_name_main">
          <property name="maximumSize">
           <size>
-           <width>16777215</width>
-           <height>100</height>
+           <width>1000</width>
+           <height>1000</height>
           </size>
          </property>
+         <property name="font">
+          <font>
+           <family>OpenSymbol</family>
+           <pointsize>22</pointsize>
+           <weight>50</weight>
+           <bold>false</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Package Name</string>
+         </property>
         </widget>
        </item>
-       <item row="10" column="5">
-        <widget class="QLabel" name="Request_static">
+       <item row="6" column="3">
+        <widget class="QLabel" name="Package_breif">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <pointsize>12</pointsize>
+           <weight>50</weight>
+           <bold>false</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>breif</string>
+         </property>
+        </widget>
+       </item>
+       <item row="9" column="6">
+        <widget class="QLabel" name="Status">
+         <property name="font">
+          <font>
+           <family>OpenSymbol</family>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -165,22 +239,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Request</string>
+          <string>__</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="3">
-        <widget class="QLabel" name="UpdateType">
-         <property name="text">
-          <string>__</string>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="12" column="3">
-        <widget class="QLabel" name="Karma_static">
+       <item row="10" column="3">
+        <widget class="QLabel" name="Date_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -196,14 +263,21 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Karma</string>
+          <string>date submitted</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="0" column="0" rowspan="27">
+       <item row="28" column="6" colspan="2">
+        <widget class="QPushButton" name="pushButton">
+         <property name="text">
+          <string>Submit</string>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="0" rowspan="29">
         <widget class="QFrame" name="frame_2">
          <property name="minimumSize">
           <size>
@@ -268,8 +342,8 @@
          </layout>
         </widget>
        </item>
-       <item row="10" column="3">
-        <widget class="QLabel" name="Date_static">
+       <item row="12" column="3">
+        <widget class="QLabel" name="Karma_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -285,15 +359,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>date submitted</string>
+          <string>Karma</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="10" column="4">
-        <widget class="QLabel" name="Date_submitted">
+       <item row="9" column="4">
+        <widget class="QLabel" name="Release">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -316,20 +390,20 @@
          </property>
         </widget>
        </item>
-       <item row="26" column="4">
-        <widget class="QLabel" name="label">
+       <item row="28" column="4">
+        <widget class="QLabel" name="karmaText">
          <property name="text">
           <string>Karma</string>
          </property>
         </widget>
        </item>
-       <item row="9" column="4">
-        <widget class="QLabel" name="Release">
+       <item row="10" column="5">
+        <widget class="QLabel" name="Request_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -340,15 +414,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>__</string>
+          <string>Request</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="6">
-        <widget class="QLabel" name="Status">
+       <item row="12" column="6">
+        <widget class="QLabel" name="Submit_user">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -371,29 +445,8 @@
          </property>
         </widget>
        </item>
-       <item row="5" column="3" colspan="4">
-        <widget class="QLabel" name="Package_name_main">
-         <property name="maximumSize">
-          <size>
-           <width>1000</width>
-           <height>1000</height>
-          </size>
-         </property>
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <pointsize>22</pointsize>
-           <weight>50</weight>
-           <bold>false</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Package Name</string>
-         </property>
-        </widget>
-       </item>
-       <item row="9" column="3">
-        <widget class="QLabel" name="Release_static">
+       <item row="12" column="5">
+        <widget class="QLabel" name="Submitter_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -409,22 +462,25 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Release</string>
+          <string>Submitter</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="26" column="6" colspan="2">
-        <widget class="QPushButton" name="pushButton">
-         <property name="text">
-          <string>Submit</string>
+       <item row="18" column="3" colspan="6">
+        <widget class="QTextEdit" name="commentEdit">
+         <property name="maximumSize">
+          <size>
+           <width>16777215</width>
+           <height>100</height>
+          </size>
          </property>
         </widget>
        </item>
-       <item row="12" column="5">
-        <widget class="QLabel" name="Submitter_static">
+       <item row="9" column="3">
+        <widget class="QLabel" name="Release_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -440,20 +496,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Submitter</string>
+          <string>Release</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="5">
-        <widget class="QLabel" name="Status_static">
+       <item row="10" column="4">
+        <widget class="QLabel" name="Date_submitted">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -464,64 +520,45 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Status</string>
+          <string>__</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="10" column="6">
-        <widget class="QLabel" name="Request">
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
-           <kerning>true</kerning>
-          </font>
-         </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
-         </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
-         </property>
+       <item row="26" column="4">
+        <widget class="QLabel" name="critpathText">
          <property name="text">
-          <string/>
-         </property>
-         <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <string>critpath</string>
          </property>
         </widget>
        </item>
-       <item row="13" column="3" colspan="6">
-        <widget class="QTreeWidget" name="treeWidget_comment">
-         <column>
-          <property name="text">
-           <string>#</string>
-          </property>
-         </column>
-         <column>
+       <item row="26" column="5">
+        <widget class="QComboBox" name="critpathBox">
+         <property name="currentText">
+          <string>0</string>
+         </property>
+         <property name="currentIndex">
+          <number>1</number>
+         </property>
+         <item>
           <property name="text">
-           <string>karma</string>
+           <string>1</string>
           </property>
-         </column>
-         <column>
+         </item>
+         <item>
           <property name="text">
-           <string>user</string>
+           <string>0</string>
           </property>
-         </column>
-         <column>
+         </item>
+         <item>
           <property name="text">
-           <string>comment</string>
+           <string>-1</string>
           </property>
-         </column>
+         </item>
         </widget>
        </item>
-       <item row="7" column="3" colspan="6">
-        <widget class="QTextBrowser" name="Release_notes"/>
-       </item>
       </layout>
       <zorder>Karma_static</zorder>
       <zorder>frame_2</zorder>
@@ -542,10 +579,19 @@
       <zorder>Request</zorder>
       <zorder>UpdateType</zorder>
       <zorder>karmaBox</zorder>
-      <zorder>label</zorder>
+      <zorder>karmaText</zorder>
       <zorder>label_2</zorder>
       <zorder>Release_notes</zorder>
       <zorder>treeWidget_comment</zorder>
+      <zorder>critpathText</zorder>
+      <zorder>critpathBox</zorder>
+     </widget>
+    </item>
+    <item row="1" column="3" alignment="Qt::AlignRight">
+     <widget class="QLabel" name="usernamLable">
+      <property name="text">
+       <string>Username</string>
+      </property>
      </widget>
     </item>
    </layout>
